plugin_paths = { "/usr/share/jitsi-meet/prosody-plugins/" }

-- domain mapper options, must at least have domain base set to use the mapper
muc_mapper_domain_base = "{{ ansible_host }}";

turncredentials_secret = "TURN_SECRET";

turncredentials = {
  { type = "stun", host = "{{ ansible_host }}", port = "443" },
  { type = "turn", host = "{{ ansible_host }}", port = "443", transport = "udp" },
  { type = "turns", host = "{{ ansible_host }}", port = "443", transport = "tcp" }
};

cross_domain_bosh = false;
consider_bosh_secure = true;

VirtualHost "{{ ansible_host }}"
        -- enabled = false -- Remove this line to enable this host
        authentication = "internal_plain"
        -- Properties below are modified by jitsi-meet-tokens package config
        -- and authentication above is switched to "token"
        --app_id="example_app_id"
        --app_secret="example_app_secret"
        -- Assign this host a certificate for TLS, otherwise it would use the one
        -- set in the global section (if any).
        -- Note that old-style SSL on port 5223 only supports one certificate, and will always
        -- use the global one.
        ssl = {
                key = "/etc/prosody/certs/{{ ansible_host }}.key";
                certificate = "/etc/prosody/certs/{{ ansible_host }}.crt";
        }
        speakerstats_component = "speakerstats.{{ ansible_host }}"
        conference_duration_component = "conferenceduration.{{ ansible_host }}"
        -- we need bosh
        modules_enabled = {
            "bosh";
            "pubsub";
            "ping"; -- Enable mod_ping
            "speakerstats";
            "turncredentials";
            "conference_duration";
        }
        c2s_require_encryption = false

Component "conference.{{ ansible_host }}" "muc"
    storage = "none"
    modules_enabled = {
        "muc_meeting_id";
        "muc_domain_mapper";
        -- "token_verification";
    }
    admins = { "focus@auth.{{ ansible_host }}" }

-- internal muc component
Component "internal.auth.{{ ansible_host }}" "muc"
    storage = "none"
    modules_enabled = {
      "ping";
    }
    admins = { "focus@auth.{{ ansible_host }}", "jvb@auth.{{ ansible_host }}" }

VirtualHost "auth.{{ ansible_host }}"
    ssl = {
        key = "/etc/prosody/certs/auth.{{ ansible_host }}.key";
        certificate = "/etc/prosody/certs/auth.{{ ansible_host }}.crt";
    }
    authentication = "internal_plain"

Component "focus.{{ ansible_host }}"
    component_secret = "JICOFO_SECRET"

Component "speakerstats.{{ ansible_host }}" "speakerstats_component"
    muc_component = "conference.{{ ansible_host }}"

Component "conferenceduration.{{ ansible_host }}" "conference_duration_component"
    muc_component = "conference.{{ ansible_host }}"

VirtualHost "guest.{{ ansible_host }}"
    authentication = "anonymous"
    c2s_require_encryption = false
